<div class="ui-g-12">
    <div style="margin-top: 20px;">
        <div [hidden]="(1==detail)">
            <div class="container">
          
                <table style="width: 100%; text-align: center" border="1" *ngIf="orderItem">
                    <tr>
                        <td>No</td>
                        <td>Tipe</td>
                        <td>Warna</td>
                        <td>jenis Pembelian</td>
                        <td>Data Pembayaran</td>
                        <td>Detail</td>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>{{orderItem.idProduct}}</td>
                        <td>{{orderItem.idFeature}}</td>
                        <td>{{data.saleTypeId}}</td>
                        <td>{{data.saleTypeDescription}}</td>
                        <td>  
                            <button type="button"
                                (click)="goDetail()"
                                class="btn btn-primary">
                                <span class="fa fa-pencil"></span>&nbsp; Detail                 
                            </button> 
                        </td>
                    </tr>
                </table>
            </div>
        </div>



        <div [hidden]="!(1==detail)">
            <div class="ui-g-6" style="border: solid 1px black" >
                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">No PO FINCO</label>
                    </div>
                    <div class="ui-g-6">
                        <input [disabled]="isComplete" type="text" class="form-control" [(ngModel)]="poNumber" [disabled]="readOnly"/>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">Tanggal PO FINCO</label>
                    </div>
                    <div class="ui-g-6">
                        <p-calendar 
                            dateFormat="yy-mm-dd"
                            inputStyleClass="form-control"
                            [(ngModel)]="tglPoFinco"
                            [disabled]="readOnly"
                            [disabled]="isComplete"
                        ></p-calendar>
                    </div>
                </div>

                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">Biro Jasa</label>
                    </div>
                    <div class="ui-g-6">
                        <select id="idBiroJasa" name="idBiroJasa" [(ngModel)]="vso.idBiroJasa" class="form-control" (change)="loadSTNKB()" [disabled]="readOnly">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="optionsVendor.idVendor" *ngFor="let optionsVendor of vendors">{{optionsVendor.organization.name}}</option>
                    </select>
                    </div>
                </div>

                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">Tipe Penjualan</label>
                    </div>
                    <div class="ui-g-6">
                        <select class="form-control" id="field_paymenttype" name="field_paymenttype"  [(ngModel)]="data.saleTypeId" [disabled]="readOnly">
                            <option [ngValue]="null">-Please Select-</option>
                            <option [ngValue]="opt.idSaleType" *ngFor="let opt of saletypes; trackBy: trackSaleTypeById">{{opt.description}}</option>
                        </select>
                    </div>
                        
                </div>
                <div style="width:100%;" *ngIf="orderItem">
                    <div class="ui-g">
                        <div class="ui-g-6">
                            <label class="form-control-label" style="font-weight:600;">OTR</label>
                        </div>
                        <div class="ui-g-6" align="right">
                            {{ otrRp | number}}
                        </div>
                    </div>     
                    <div class="ui-g">
                        <div class="ui-g-6">
                            <p-checkbox [disabled]="isComplete" name="subsidi_finco" binary="true" (click)="onChangeSubsidi()" [(ngModel)]="vso.subFincoyAsDp" [disabled]="readOnly"></p-checkbox>
                            <label class="form-control-label">Subsidi FINCO</label>
                        </div>
                        <div class="ui-g-6">
                            <input class="form-control" type="text"
                            currencyMask
                            pInputText
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            [(ngModel)]="orderItem.discountFinCoy"
                            [disabled]="readOnly || isComplete || vso.subFincoyAsDp"/>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-6">
                            <label class="form-control-label">Subsidi MD</label>
                        </div>
                        <div class="ui-g-6" align="right">
                            {{orderItem.discountMD  | number}}
                        </div>                    
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-6">
                            <label class="form-control-label">Subsidi AHM</label>
                        </div>
                        <div class="ui-g-6" align="right">
                            {{orderItem.discountatpm | number}}
                        </div>
                    </div> 
                    <div class="ui-g">
                        <div class="ui-g-6">
                            <label class="form-control-label">Diskon Dealer</label>
                        </div>
                        <div class="ui-g-6">
                            <input class="form-control" 
                            currencyMask
                            pInputText
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            type="text" [(ngModel)]="orderItem.discount"
                            [disabled]="readOnly || isComplete"/>
                        </div>
                    </div>  
                    <div class="ui-g" style="border-top:1px solid black;">
                        <div class="ui-g-6">
                            <label class="form-control-label" style="font-weight:600;">Total Diskon</label>
                        </div>
                        <div class="ui-g-6" align="right">
                            {{totalDisc | number: '1.0-0'}}
                        </div>                      
                    </div>
                    <div class="ui-g" style="margin:20px 0px;">
                        <div class="ui-g-6">
                            <label class="form-control-label" style="font-weight:600;">BBN</label>
                        </div>
                        <div class="ui-g-6" align="right">
                            {{orderItem.bbn | number}}
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-6">
                            <label class="form-control-label">Off The Road</label>
                        </div>
                        <div class="ui-g-6" align="right">
                            {{offTheRoadRp | number: '1.0-0'}}
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-6">
                            <label class="form-control-label">Tax</label>
                        </div>
                        <div class="ui-g-6" align="right">
                            {{tax | number: '1.0-0'}} 
                        </div>
                    </div>
                    <div class="ui-g" style="border-top:1px solid black;">
                        <div class="ui-g-6">
                            <label class="form-control-label" style="font-weight:600;">Off The Road + Tax</label>
                        </div>
                        <div class="ui-g-6" align="right"> 
                            {{totalOffTheRoadAndTax | number: '1.0-0'}}
                        </div>
                    </div>
                </div>
            </div>

            <div class="ui-g-6" style="border: solid 1px black">
                <div class="ui-g">
                    <div class="ui-g-12">
                        <label style="font-weight: 600;">Pembayaran</label>
                        <p-dataTable
                            [value]="receipts"
                            [rows]="itemsPerPage"
                            [paginator]="true"
                            [pageLinks]="5"
                            [rowsPerPageOptions]="[10,15,20]"
                            [totalRecords]="totalItems"
                            [responsive]="true"
                            [lazy]="true"
                            [(first)]="first"
                            row="itemsPerPage"
                            totalRecords="totalItems"
                            dataKey="idPayment"
                            (onLazyLoad)="loadDataLazy($event)">
                            <p-column header="Tanggal" >
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.dateCreate | date:'yyyy-MM-dd'}}
                                </ng-template>
                            </p-column>
                            <p-column header="Jenis">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.paymentTypeDescription}}
                                </ng-template>
                            </p-column>
                            <p-column header="Amount">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.amount | number: '1.0-0'}}
                                </ng-template>
                            </p-column>
                            

                            <!-- <p-column header="Tanggal Terima" >
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    
                                </ng-template>
                            </p-column>

                            <p-column header="Tanggal Posting"  >
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    
                                </ng-template>
                            </p-column> -->
                        </p-dataTable>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">Total Down Payment</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{totalDp  | number: '1.0-0'}}
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">Total Uang Titipan</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{totalTandaJadi  | number: '1.0-0'}}
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">Broker Fee</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{ data.brokerFee | number: '1.0-0'}}
                    </div>
                </div>
                <div class="ui-g" style="border-top:1px solid black;">
                    <div class="ui-g-6">
                        <label class="form-control-label" style="font-weight: 600;">Total Pembayaran</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{totalPembayran  | number: '1.0-0'}}
                    </div>
                </div>
                <div class="ui-g" style="margin-top:40px">
                    <div class="ui-g-6">
                        <label class="form-control-label">Yang Harus Dibayar</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{data.minPayment  | number: '1.0-0'}}
                    </div>
                    <!-- <div class="ui-g-6" align="right" *ngIf="vso.subFincoy == 0 || vso.subFincoy == null">
                        {{data.minPayment  | number: '1.0-0'}}
                    </div>
                    <div class="ui-g-6" align="right" *ngIf="vso.subFincoy == 1">
                        {{data.minPayment  | number: '1.0-0'}}
                    </div> -->
                </div>
                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">Total Pembayaran</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{totalPembayran  | number: '1.0-0'}}
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">Total Diskon</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{totalDisc | number: '1.0-0'}}
                    </div>                      
                </div>                
                <div class="ui-g" style="border-top:1px solid black;">
                    <div class="ui-g-6">
                        <label class="form-control-label" style="font-weight:600;">Kekurangan Pembayaran</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{(data.minPayment - (totalPembayran + totalDisc))  | number: '1.0-0'}}
                    </div>
                </div>
                <div class="ui-g" style="margin-top:40px;">
                    <div class="ui-g-6">
                        <label class="form-control-label">Uang Yang Diterima Kasir</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{totalKasirRp | number: '1.0-0'}}
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-6">
                        <label class="form-control-label">Uang Yang Sudah Dipegang Sales</label>
                    </div>
                    <div class="ui-g-6" align="right">
                        {{totalSalesRp | number: '1.0-0'}}
                    </div>
                </div>
                <div class="ui-g" style="border: dashed 1px black; background-color: aqua" 
                *jhiHasAnyAuthority="['ROLE_AFC']">
                    <div class="ui-g-12">
                        <div class="ui-g">
                            <div class="ui-g-6">
                                <label class="form-control-label">Refund Finance company</label>
                            </div>
                            <div class="ui-g-6">
                                <input class="form-control" type="text" currencyMask
                                pInputText
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" 
                                [(ngModel)]="vso.refundFinco" 
                                (blur)="sumMargin()"
                                [disabled]="readOnly || (data.saleTypeId == 20 || data.saleTypeId == 22 || data.saleTypeId == 50 || data.saleTypeId == 51 || data.saleTypeId == 54 || data.saleTypeId == 55) || isComplete"/>
                            </div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6">
                                <label class="form-control-label">Off the road</label>
                            </div>
                            <div class="ui-g-6" align="right">
                                {{offTheRoadRp | number: '1.0-0'}}
                            </div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6">
                                <label class="form-control-label">Diskon</label>
                            </div>
                            <div class="ui-g-6" align="right">
                                {{(totalDisc / 1.1) | number: '1.0-0'}}
                            </div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6">
                                <label class="form-control-label">COGS</label>
                            </div>
                            <div class="ui-g-6" align="right">
                                {{COGS | number: '1.0-0'}}
                            </div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6">
                                <label class="form-control-label">Biaya pengurusan STNK</label>
                            </div>
                            <div class="ui-g-6" align="right">
                                {{biayaSTNKB | number: '1.0-0'}}
                            </div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6">
                                <label class="form-control-label">Total Refund</label>
                            </div>
                            <div class="ui-g-6" align="right">
                                {{refundFinco | number: '1.0-0'}}
                            </div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6">
                                <label class="form-control-label">Biaya Makelar</label>
                            </div>
                            <div class="ui-g-6" align="right">
                                {{data.brokerFee | number: '1.0-0'}}
                            </div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6">
                                <label class="form-control-label">Komisi Sales</label>
                            </div>
                            <div class="ui-g-6">
                                <input class="form-control" type="text"
                                currencyMask
                                pInputText
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" 
                                [(ngModel)]="data.komisiSales"
                                (blur)="sumMargin()"
                                [disabled]="readOnly || isComplete"/>
                            </div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6">
                                <label class="form-control-label">Total margin</label>
                            </div>
                            <div class="ui-g-6" align="right">
                                {{totalMargin | number: '1.0-0'}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="ui-g-12 ">
                <div class="ui-g-2">                        
                    <button type="button"
                        class="btn btn-danger btn-block"
                        (click)="updateComponentHarga()"
                        *jhiHasAnyAuthority="['ROLE_AFC']"
                        [disabled]="readOnly || isCheck || isComplete">
                        <span class="fa fa-save"></span>&nbsp; Update                 
                    </button> 
                </div>
                <div class="ui-g-2">                        
                    <button type="button"
                        (click)="goTableDetail()"
                        class="btn btn-danger btn-block"
                        *jhiHasAnyAuthority="['ROLE_AFC']">
                        <span class="fa fa-ban"></span>&nbsp; Cancel                 
                    </button> 
                </div>   
            </div>
        </div>
    </div>
</div>
<p-dialog [(visible)]="diffWith" closable="true" responsive="true" modal="true">
    <p-header>
        Notifikasi
    </p-header>

    <div class="row">
        <div class="col-md-12">
           Jumlah {{sumDiscount | number: '1.0-0'}} dicount berbeda dengan {{totalDisc | number: '1.0-0'}}.
         </div>
    </div>

    <p-footer>
        <!-- <button pButton type="button" label="Edit" (click)="doEdit()" icon="fa-pencil">
        </button> -->
        <button pButton type="button"
                (click)="closeDialog()" 
                label="ok"
                icon="fa fa-thumbs-o-up">
        </button>
    </p-footer>
</p-dialog>